Model Notes

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • flowStep

  • flowStep_count

  • flowStepExists

  • user

  • user_count

  • userExists

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • user_id

  • my_notes

  • model_type

  • model_id

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • id

  • created_at

Authorizations
Query parameters
filter[user_id]stringOptional

Filter results by user_id.

filter[my_notes]stringOptional

Filter results by my_notes.

filter[model_type]stringOptional

Filter results by model_type.

filter[model_id]stringOptional

Filter results by model_id.

includestringOptional

Comma-separated list of relationships to include. Available: flowStep, user

sortstringOptional

Sort field. Prefix with - for descending. Available: id, created_at

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/model-notes

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

note

string

private

patchworks_only

model_type

string

model_id

integer

colour

string

Authorizations
Body
notestring · min: 1 · max: 65535Required
privatestringOptional
patchworks_onlystringOptional
model_typestringRequired
model_idintegerRequired
colourstring · enumRequiredPossible values:
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/model-notes

Show

get

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • flowStep

  • flowStep_count

  • flowStepExists

  • user

  • user_count

  • userExists

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • user_id

  • my_notes

  • model_type

  • model_id

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • id

  • created_at

Authorizations
Path parameters
model_notestringRequired

The model note identifier.

Query parameters
filter[user_id]stringOptional

Filter results by user_id.

filter[my_notes]stringOptional

Filter results by my_notes.

filter[model_type]stringOptional

Filter results by model_type.

filter[model_id]stringOptional

Filter results by model_id.

includestringOptional

Comma-separated list of relationships to include. Available: flowStep, user

sortstringOptional

Sort field. Prefix with - for descending. Available: id, created_at

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/model-notes/{model_note}

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

note

string

private

patchworks_only

colour

string

Authorizations
Path parameters
model_notestringRequired

The model note identifier.

Body
notestring · min: 1 · max: 65535Optional
privatestringOptional
patchworks_onlystringOptional
colourstring · enumOptionalPossible values:
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/model-notes/{model_note}

Destroy

delete

Delete a model note.

Authorizations
Path parameters
model_notestringRequired

The model note identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/model-notes/{model_note}

Last updated

Was this helpful?